﻿
using System;
using Wisej.Web;

namespace Wisej.RadioButtons
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
            rbColorRed.Click += radioButton_Click;
            rbColorGreen.Click += radioButton_Click;
            rbColorBlue.Click += radioButton_Click;

            rbSizeLarge.Click += radioButton_Click;
            rbSizeMedium.Click += radioButton_Click;
            rbSizeSmall.Click += radioButton_Click;
        }

        private void radioButton_Click(object sender,EventArgs e)
        {
            RadioButton radioButton = (RadioButton)sender;
            if((string)radioButton.Tag == "color")
            {
                UncheckColorRadioButtons();
                AlertBox.Show("You have selected "+radioButton.Text+" from the color group");
            }
            else
            {
                UncheckSizeRadioButtons();
                AlertBox.Show("You have selected " + radioButton.Text + " from the size group");
            }
            radioButton.Checked = true;
        }

        private void  UncheckColorRadioButtons()
        {
            foreach(var control in this.groupBox1.Controls)
            {
                if (control.GetType() == typeof(RadioButton))
                {
                    var radioButton = (RadioButton)control;


                    if ((string)radioButton.Tag == "color" && radioButton.Checked != false)
                        {
                            radioButton.Checked = false;
                        }
                        
             
                }
            }
        }

        private void UncheckSizeRadioButtons()
        {
            foreach (var control in this.groupBox1.Controls)
            {
                if (control is RadioButton)
                {
                    var radioButton = (RadioButton)control;

                    if ((string)radioButton.Tag == "size" && radioButton.Checked != false)
                        {
                            radioButton.Checked = false;
                        }

                }
            }
        }
    }
}
